---
title: WebGLRenderingContext.disableVertexAttribArray()
slug: Web/API/WebGLRenderingContext/disableVertexAttribArray
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.disableVertexAttribArray()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> turns the generic vertex attribute array off at a given index position.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.disableVertexAttribArray(<var>index</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>index</dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the vertex attribute to disable.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.disableVertexAttribArray(0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.10", "disableVertexAttribArray")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glEnableVertexAttribArray.xml", "glDisableVertexAttribArray")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.disableVertexAttribArray")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.enableVertexAttribArray()")}}</li>
</ul>
